#
# spec file for package python-pysqlite
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-pysqlite
Version:        2.8.1
Release:        3.6
Url:            http://github.com/ghaering/pysqlite
Summary:        DB-API 2.0 interface for SQLite 3.x
License:        Zlib
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pysqlite/pysqlite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  sqlite3-devel
Requires:       sqlite3
Provides:       python-sqlite = %{version}
Obsoletes:      python-sqlite < %{version}
Provides:       python-sqlite2 = %{version}
Obsoletes:      python-sqlite2 < %{version}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Python interface to SQLite 3

pysqlite is an interface to the SQLite 3.x embedded relational database engine.
It is almost fully compliant with the Python database API version 2.0 also
exposes the unique features of SQLite.

%prep
%setup -q -n pysqlite-%{version}

%build
CFLAGS="%{optflags}" python setup.py build
cd doc/sphinx && make html && rm .build/html/.buildinfo  # Build HTML documentation

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{_prefix}/pysqlite2-doc # Remove wrongly installed junk

%files
%defattr(-,root,root,-)
%doc LICENSE doc/sphinx/.build/html
%{python_sitearch}/*

%changelog
* Thu Sep  3 2015 p.drouand@gmail.com
- Update to version 2.8.1
  * No changelog available
- Update download and homepage Urls
* Thu Dec  8 2011 lars@linux-schulserver.de
- also provide/obsolete python-sqlite2
* Fri Nov 11 2011 cfarrell@suse.com
- license update: Zlib
  SÃÃPDX format (http://www.spdx.org/licenses)
* Sat Oct 21 2006 cthiel@suse.de
- update to version 1.1.8
  * fixed a memory leak
* Mon Oct  2 2006 cthiel@suse.de
- fix build on older distributions
* Thu Sep 21 2006 cthiel@suse.de
- fix build with python 2.5
* Mon Apr 24 2006 cthiel@suse.de
- update to version 1.1.7
  * Fixed an API misuse that made pysqlite 1.1.x unusable with SQLite
    versions 3.3.3 or later.
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Sep 15 2005 cthiel@suse.de
- specfile cleanup
* Sun Aug 14 2005 cthiel@suse.de
- initial package (version 1.1.6)
